curl --request POST \
--url https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivateimport requests
url = "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"id": "9b2f6c1e-3d4a-4f7b-8e21-5a6c7d8e9f01",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"name": "Consultoria em logística",
"description": "Hora técnica de consultoria em logística e roteirização.",
"value": 15000,
"type": "SERVICE",
"status": "DEACTIVATED",
"skuCode": "CONS-LOG-001",
"createdAt": "2026-10-02T14:03:11.000Z",
"updatedAt": "2026-10-05T09:30:00.000Z"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PRODUCT_INVALID_STATUS_FOR_DEACTIVATION",
"origin": "REGISTRY",
"message": "Product is already deactivated"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "FORBIDDEN_PRODUCT",
"origin": "REGISTRY",
"message": "Forbidden"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PRODUCT_NOT_FOUND",
"origin": "REGISTRY",
"message": "Product not found"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "REGISTRY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "productId",
"message": "Invalid UUID",
"code": "PRODUCTID_UUID"
}
]
}Deactivate a product
Sets a product’s status to DEACTIVATED.
curl --request POST \
--url https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivateimport requests
url = "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.registry.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/products/{productId}/deactivate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"id": "9b2f6c1e-3d4a-4f7b-8e21-5a6c7d8e9f01",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"name": "Consultoria em logística",
"description": "Hora técnica de consultoria em logística e roteirização.",
"value": 15000,
"type": "SERVICE",
"status": "DEACTIVATED",
"skuCode": "CONS-LOG-001",
"createdAt": "2026-10-02T14:03:11.000Z",
"updatedAt": "2026-10-05T09:30:00.000Z"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PRODUCT_INVALID_STATUS_FOR_DEACTIVATION",
"origin": "REGISTRY",
"message": "Product is already deactivated"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "FORBIDDEN_PRODUCT",
"origin": "REGISTRY",
"message": "Forbidden"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "PRODUCT_NOT_FOUND",
"origin": "REGISTRY",
"message": "Product not found"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "REGISTRY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "productId",
"message": "Invalid UUID",
"code": "PRODUCTID_UUID"
}
]
}ACTIVE one: deactivating a product that is already DEACTIVATED is rejected. A product that still has active payment links can’t be deactivated: end those links first. This is how a product is retired, since products can’t be deleted. To bring one back, use POST /realms/{realmId}/organizations/{organizationId}/products/{productId}/activate.
Answers the product as it is after the change. The request has no body: if your HTTP client sends Content-Type: application/json, send {}.Path Parameters
ID of your realm.
Format: UUID
ID of the organization the product belongs to.
Format: UUID
ID of the product (id in the product list).
Format: UUID
Response
Successful response
A product or service of the organization's catalog.
ID of the product.
"9b2f6c1e-3d4a-4f7b-8e21-5a6c7d8e9f01"
ID of the realm the product belongs to.
"f495ff0c-ab54-4f99-8e92-ca8682e4de9b"
ID of the organization the product belongs to.
"c4bd3f21-dfbd-44e8-8055-68ba15bed410"
Name of the product or service.
"Consultoria em logística"
Free-text description. Empty when none was given.
"Hora técnica de consultoria em logística e roteirização."
Price in centavos: 15000 is R$ 150,00.
15000
PRODUCT for a physical good or SERVICE for a service. Any other text a client stored is kept as sent.
"SERVICE"
ACTIVE, or DEACTIVATED once the product was retired.
ACTIVE, DEACTIVATED "DEACTIVATED"
Your own stock-keeping code. Absent, or null, when none was given.
"CONS-LOG-001"
When the product was created.
"2026-10-02T14:03:11.000Z"
When the product was last changed.
"2026-10-05T09:30:00.000Z"